<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <input type="text" v-model:value='inputNama'> <button v-if='upd = 0' @click='addUser'>add</button><button v-else-if='upd = 1' @click='updateUser'>update</button>
        <ul>
            <li v-for='(item, index) in users'>
                {{ item.name }} <button v-on:click='editUser(index)'>edit</button> || <button v-on:click='deleteUser(index)'>delete</button>
            </li>
        </ul>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var nama = new Vue({
            el: '#app',
            data:{
                upd: '0',
                inputNama:'',
                users: [
                    { name: 'Muhammad Iqbal Mubarok'},
                    { name: 'Ruby Purwanti'},
                    { name: 'Faqih Muhammad'},
                ],
            },
            methods: {
                addUser: function(){
                    this.users.push({ name: this.inputNama })
                    this.inputNama =''
                },
                editUser: function(i){
                    this.inputNama = this.users[i].name
                    upd = '1'
                    console.log(this.upd)

                },
                updateUser: function(i){
                    this.users[i].name = this.inputNama
                    this.inpuNama = ''
                    this.upd = '0'

                },
                deleteUser: function(i){
                    this.users.splice(i,1)

                }
            }
        })
    </script>
</body>
</html>